summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2011-05-20 19:06:07 +0000
committerAnthony G. Basile <blueness@gentoo.org>2011-05-20 19:06:07 +0000
commitdcab1fa0f0664127bf2cce44aa3bcbd6164d4a82 (patch)
tree24de86147037b1f9ad2e817ace17d6468c241722 /eclass
parentUpdated patchbundle for base policy 2.20101213 (diff)
downloadhistorical-dcab1fa0f0664127bf2cce44aa3bcbd6164d4a82.tar.gz
historical-dcab1fa0f0664127bf2cce44aa3bcbd6164d4a82.tar.bz2
historical-dcab1fa0f0664127bf2cce44aa3bcbd6164d4a82.zip
Improved error handling when failed to load modules
Diffstat (limited to 'eclass')
-rw-r--r--eclass/selinux-policy-2.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/selinux-policy-2.eclass b/eclass/selinux-policy-2.eclass
index cc3d05b881b5..db7c6ebef169 100644
--- a/eclass/selinux-policy-2.eclass
+++ b/eclass/selinux-policy-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/selinux-policy-2.eclass,v 1.5 2011/02/05 11:28:10 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/selinux-policy-2.eclass,v 1.6 2011/05/20 19:06:07 blueness Exp $
# Eclass for installing SELinux policy, and optionally
# reloading the reference-policy based modules.
@@ -85,7 +85,7 @@ selinux-policy-2_pkg_postinst() {
einfo "Inserting the following modules into the $i module store: ${MODS}"
cd /usr/share/selinux/${i}
- semodule -s ${i} ${COMMAND}
+ semodule -s ${i} ${COMMAND} || die "Failed to load in modules ${MODS} in the $i policy store"
done
}